com.sun.jdi.connect.spi

## Class TransportService.ListenKey

- java.lang.Object
- - com.sun.jdi.connect.spi.TransportService.ListenKey

- Enclosing class:
    TransportService

      @Exported
      public abstract static class TransportService.ListenKey
      extends Object

  A listen key.

  A `TransportService` may listen on multiple, yet different, addresses at the same time. To uniquely identify each `listener` a listen key is created each time that `startListening` is called. The listen key is used in calls to the `accept` method to accept inbound connections to that listener. A listen key is valid until it is used as an argument to `stopListening` to stop the transport service from listening on an address.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenKey()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `address()` Returns a string representation of the listen key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenKey

          public ListenKey()

  - ### Method Detail

    - #### address

          public abstract String address()

      Returns a string representation of the listen key.

Copyright © 1999, 2015, Oracle and/or its affiliates. All rights reserved.